Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ADIS

TB-1142;

https://www.cip.audi.de/jira/browse/ACO

RE-10899

Department: G3-5 Affected Products: ADTF Display Toolbox 3.5.0

Requester's Priority: Normal Platform:  

Support Level: 3rd Level Topic: DisplayTB::SignalView

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Gibt es die Möglichkeit, im TableView einen Textwert anzuzeigen?

Z.B. für Enums nicht die Rohwerte 0,1,2,3 sondern dekodiert "WERT1","WERT2",etc

Für ADTF2 habe ich dieses Ticket gefunden:

https://support.digitalwerk.net/issues/7899

Im ADTF3 finde ich aber die Spalte "Text" auch nicht (s. screenshot).

Lösung

Feature Requests zur Erweiterung der Basis in ADTF (Step 1) und Anzeige in Display TB (Step 2) angelegt:

[ACORE-10899] - Provide enumeration values from DDL within Signal Registry

[ADISTB-1142] - Option to display enumeration value in Signal Table View

Related issues:

Related to Public Support - Support Request #7899: EBPRODUCTSUPPORT-4319 How ... Closed

History

#1 - 2021-02-10 09:09 - hidden

- Project changed from Public Support to 30

- Status changed from New to In Progress

- Topic set to DisplayTB::SignalView

- Customer set to Car.SW Org.

- Department set to G3-5

#2 - 2021-02-17 16:20 - hidden

- Related to Support Request #7899: EBPRODUCTSUPPORT-4319 How to display text message in Table View added

#3 - 2021-02-17 16:21 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Philip,

wie in #7899 scho angesprochen ist das im Signal View nicht möglich, da Enums nicht in der Signal Registry landen.

Das kannst du derzeit nur im Media Description Display anzeigen.

ADTF 2.x und 3.x macht hier keinen Unterschied.

@Martin: Was wäre notwendig, um das Feature in die ADTF 3.x Signal Registry zu bringen ?
#5 - 2021-02-22 09:23 - hidden

@Flo, der Signal Provider im MD Service müsste das strTextValue Feld entsprechend befüllen. Das sollte machbar sein, er muss die Strings aber

halt vorhalten, damit die Pointer gültig bleiben.

#6 - 2021-02-22 09:49 - hidden

- Project changed from 30 to Public Support

- Subject changed from Anfrage: ENUM-Werte als Text im Signal TableView to Show enum values in Signal View

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADISTB-1142; https://www.cip.audi.de/jira/browse/ACORE-10899

- Support Level changed from 2nd Level to 3rd Level

Feature Requests zur Erweiterung der Basis in ADTF (Step 1) und Anzeige in Display TB (Step 2) angelegt:

[ACORE-10899] - Provide enumeration values from DDL within Signal Registry

[ADISTB-1142] - Option to display enumeration value in Signal Table View

#7 - 2021-07-26 13:24 - hidden

- Customer changed from Car.SW Org. to CARIAD

#8 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
